Download it now!
Bug 130805 - WRITER EDITING: Frame goes out of the shape when added to the shape
Summary: WRITER EDITING: Frame goes out of the shape when added to the shape
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Attila Bakos (NISZ)
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords: bibisectRequest
Depends on:
Blocks: Shape-Textbox
  Show dependency treegraph
 
Reported: 2020-02-20 12:11 UTC by NISZ LibreOffice Team
Modified: 2020-07-19 16:27 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Writer (8.79 KB, application/vnd.oasis.opendocument.text)
2020-02-20 12:13 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Writer (42.76 KB, image/png)
2020-02-20 12:14 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-02-20 12:11:19 UTC
Description:
When frame added to shape and the shape anchored to an upper paragraph than the last one the frame will be misplaced.

Steps to Reproduce:
    1. Create a new text document in Writer 7.0
    2. Insert 10 paragraphs.
    3. Insert a Shape (A rectangle for example) and anchor it to the first paragraph.
    4. Make sure your shape has greater height than the 10 paragraphs height
    5. Add a frame to your shape.
    6. Notice the frame does not placed into the shape.

Actual Results:
The frame does not shown in the shape

Expected Results:
The frame should be in the shape


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 4328255429e47d9e8278845422d3f11eebef3742
CPU threads: 8; OS: Windows 10.0 Build 17134; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-02-20 12:13:31 UTC
Created attachment 158038 [details]
Example file from Writer
Comment 2 NISZ LibreOffice Team 2020-02-20 12:14:12 UTC
Created attachment 158039 [details]
Screenshot of the problem in Writer
Comment 3 Dieter 2020-02-21 08:56:23 UTC
I confirm it with

Version: 7.0.0.0.alpha0+ (x64)
Build ID: 41177730421f9be9ad955766a5a19667d8003b11
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: GL; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: threaded
Comment 4 Aron Budea 2020-02-22 15:37:32 UTC
What is supposed to be bibisected here? No working previous version, or changed behavior compared to a previous version is mentioned.
Comment 5 Commit Notification 2020-06-10 08:06:29 UTC
Attila Bakos committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/06e2cbb31d0ea703df872b91eb8eacdcaced7653

tdf#130805 SwTextBoxHelper::create: fix frame position in shape

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-06-19 13:13:46 UTC
Attila Bakos committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/2479ae3ee20fc5f3cbb0c88eb09110a36e86710c

tdf#130805 SwTextBoxHelper::create: fix frame position in shape

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Dieter 2020-07-19 16:27:46 UTC
Verified with

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 52820b52b3bca45e2db527d1cc5f4488b2e0b9d0
CPU threads: 4; OS: Windows 10.0 Build 19041; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: threaded

Attila, thanks for fixing this!